2 qq 28418387 qq_28418387 于 2016.09.25 20:44 提问

python安装GDAL包时出错 5C

图片说明
我用的python是2.7.12,下载了gdal-2.1.1.tar.gz用的是python setup.py install命令来进行安装,于是出现了上图中的错误,不知道怎么解决,忘大神指点,我又尝试用pip install GDAL命令来安装,但是也出现了错误,如下图所示
图片说明
图片说明

1个回答

oyljerry
oyljerry   Ds   Rxr 2016.09.25 22:09

还有依赖的头文件没有安装。最后linux平台上安装

qq_28418387
qq_28418387 那要怎么解决这个问题呢
接近 2 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
CentOS 系统下 Python使用GDAL包
最近需要用GDAL来读取卫星数据,用了大半天时间终于实现了在CentOS系统下用Python使用GDAL包。 主要步骤为: 1.安装Python 2.编译GDAL 3.安装Python版本的GDAL1安装Python 这个略去,网上很多教程。2编译GDAL *step1 下载GDAL源码包 GDAL源码包*step2 cd到下载文件夹,解压。cd到解压后的文件夹 之后分别执行sudo
stdint.h文件下载来自VS2017
VS2017自带库文件,用于修复python安装pycrypto包时发送的出错问题
gdal和python在windows上的安装
GDAL is a useful command line tool to process spatial data, if you haven’t heard of the tool before some examples of what it can do are: Create contours from a DEM Create a TMS tile structure Ras
GDAL的python版本安装使用
首先,编译Python版本的GDAL,具体编译可以参考之前的博客GDAL之Swig编译里面的内容,网址是:http://blog.csdn.net/liminlu0314/article/details/6945452。或者下载别人编译好的版本。         然后将下载下来的文件,全部复制到Python的安装目录下的 Lib\site-packages文件夹中,即可,如下图:
Windows下python安装GDAL(完美解决DLL load failed)
    之前arcgis10.5下的python 2.7.12需要安装GDAL,根据网上面的方法安装后,import gdal后一直出现ImportError: DLL load failed。后来在网上面寻找解决办法,发现一种新的不需要进行环境变量设置的办法。1.确定安装的Python版本在Windows的命令行输入cmd进入页面,输入python,确定Python的版本,本人的版本为2.7.1...
安装python包出错时的一般解决办法
经常做python开发,大量安装形形色色的python第三方库是在所难免的如:
centos7.2+python2.7 gdal安装教程(校园网开启防火墙,无法使用yum,pip等工具)
从源码安装 一准备工作 二编译GDAL及其依赖库 1编译PROJ4 2编译GEOS 3编译GDAL 其他安装方式 注意从源码安装一、准备工作从GDAL、PROJ.4和GEOS的官网(百度)下载最新源码包(能联网的电脑下载好,上传到centos集群),解压出来,如下图所示(这里PROJ.4,GEOS的源码包已被我删除)。 接下来检查系统中是否安装了开发环境和编译环境:gcc、g++、make。在
Python2.7 GDAL(win7 64位平台)之安装
Python2.7 GDAL(win7 64位平台)之安装
「GIS应用」Linux/Ubuntu Python装GDAL
Linux装GDAL比较简单,但还是因为各种小细节,在第一次装的时候浪费了些时间…… (1)下载GDAL安装包(在官网上下载即可 http://www.gdal.org ,官网有下载链接但不知道为什么有时候会打不开,http://download.osgeo.org/gdal/) wget http://download.osgeo.org/gdal/2.0.0/gdal-2.0.0.ta
python GDAL/OGR模块安装注意事项
软件准备: 首先,确保电脑里已安装python2.7(2.x版本的比较好用,因为还使用ArcGIS),然后从http://www.gisinternals.com网站上下载这两个文件GDAL-2.1.3.win32-py2.7.msi和gdal-201-1500-core.msi。 软件安装: 首先安装gdal-201-1500-core.msi,一直默认安装即可,安装成功后会在C:\P